FROM python:3.13-slim
WORKDIR /app
COPY scheduler/requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt
COPY scheduler/ ./scheduler
COPY models/ ./models
ENV PYTHONPATH=/app
CMD ["python", "-m", "scheduler.scheduler"]
